<div align="center" id="top">
  <img src="https://raw.githubusercontent.com/rise-consulting/saxproject/main/.github/sax.png?raw=true" alt="Sax" height="100px"/>
</div>

<br />

<div align="center">
  <h1>Python Web Framework built for real projects</h1>
  &#xa0;
  
  ## 📖 [Documentation](https://rise-consulting.github.io/saxproject) 📖

  &#xa0;

[![PyPI](https://img.shields.io/pypi/v/saxproject.svg)](https://pypi.org/project/saxproject/)
[![CI/CD](https://github.com/rise-consulting/saxproject/actions/workflows/release.yml/badge.svg)](https://github.com/rise-consulting/saxproject/actions/workflows/release.yml)
[![Coverage Status](https://coveralls.io/repos/github/rise-consulting/saxproject/badge.svg)](https://coveralls.io/github/rise-consulting/saxproject)

[![GitHub](https://img.shields.io/github/license/rise-consulting/saxproject)](https://github.com/rise-consulting/saxproject/blob/main/LICENSE.md)
[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.1-4baaaa.svg)](code_of_conduct.md)

</div>

<hr>

<p align="center">
  <a href="#-about">About</a> &#xa0; | &#xa0;
  <a href="#-features">Features</a> &#xa0; | &#xa0;
  <a href="#-technologies">Technologies</a> &#xa0; | &#xa0;
  <a href="#-installation">Installation</a> &#xa0; | &#xa0;
  <a href="#-license">License</a> &#xa0; | &#xa0;
  <a href="https://github.com/max-bertinetti" target="_blank">Author</a>
</p>

&#xa0;

## 🎯 About

Saxproject is a Python web framework built for learning purposes and evolving for working on real projects.

It's a WSGI framework and can be used with any WSGI application server such as [Gunicorn](https://gunicorn.org/).

&#xa0;

## ✨ Features

✔️ WSGI compatibility\
✔️ Flask and Django style routing.\
✔️ Json / HTML / Text Responses\
✔️ Templates\
✔️ Static Files\
✔️ Middleware\
✔️ Test\
✔️ ORM with SQLite

&#xa0;

## 🚀 Technologies

The following tools were used in this project:

- [Parse](https://pypi.org/project/parse/)
- [Jinja2](https://pypi.org/project/Jinja2/)
- [Whitenoise](https://pypi.org/project/whitenoise/)
- [WebOb](https://pypi.org/project/WebOb/)
- [Pytest](https://pypi.org/project/pytest/)
- [Requests](https://pypi.org/project/requests/)
- [Requests-wsgi-adapter](https://pypi.org/project/requests-wsgi-adapter/)

&#xa0;

## 🏁 Installation

```shell
pip install saxproject
```

&#xa0;

## 📝 License

This project is under license from MIT. For more details, see the [LICENSE](https://github.com/rise-consulting/saxproject/blob/main/LICENSE.md) file.

Made with ❤️ & ☕ by <a href="https://github.com/rise-consulting" target="_blank">Rise Consulting</a>

&#xa0;

<a href="#top">Back to top</a>
